Returns a list of values and the time intervals for which they were in effect for a device.
Use the query parameter to filter property history on custom property key/value criteria. Syntax:
key:value: matches rows where the property key iskeyand the value equalsvalue; use double quotes if the value contains spaces or special characterskey:value1,value2: matches rows where the property key iskeyand the value is eithervalue1orvalue2key:*: matches rows where the property key iskeyand any value*:value: matches rows where any key has the valuevaluefoo: matches rows where any key or stringified value containsfooMultiple qualifiers can be used in the same query string; this will filter rows matching the intersection of the qualifiers (AND).
Security
ApiKey(Required scopes: devices.list)
- Productionhttps://api.foxglove.dev/v1/devices/{nameOrId}/property-time-intervals
// No request payloadProperty time intervals
Array [
]
Response
[ { "id": "string", "deviceId": "string", "key": "string", "value": "string", "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z" } ]